Summary: Z39.50 Programs
Name: yaz
Version: 3.0.16
Release: 1
Requires: libxslt openssl readline libyaz3 = %{version}
License: BSD
Group: Applications/Internet
Vendor: Index Data ApS <info@indexdata.dk>
Source: yaz-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxml2-devel libxslt-devel tcp_wrappers openssl-devel readline-devel libpcap-devel libicu-devel
Packager: Adam Dickmeiss <adam@indexdata.dk>
URL: http://www.indexdata.dk/yaz/

%description
This package contains both a test-server and clients (normal & ssl)
for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n libyaz3
Summary: Z39.50 Library
Group: Libraries
Requires: libxslt openssl

%description -n libyaz3
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information
Retrieval.

%package -n libyaz3-devel
Summary: Z39.50 Library - development package
Group: Development/Libraries
Requires: libyaz3 = %{version} libxml2-devel libxslt-devel
Conflicts: libyaz-devel

%description -n libyaz3-devel
Development libraries and includes for the libyaz package.

%package -n yaz-ziffy
Summary:  ziffy: the promiscuous Z39.50 APDU sniffer
Group: Applications/Communication
Requires: libxslt openssl libpcap libyaz3 = %{version}

%description -n yaz-ziffy
ziffy is a promiscuous Z39.50 APDU sniffer, like the popular tcpdump.
ziffy can capture and show all Z39.50 traffic on your LAN segment.
This packages is a special port of ziffy ported to YAZ. Note that ziffy
is licensed under the GPL and was is by Rocco Carbone <rocco@ntop.org>.

%package -n yaz-illclient
Summary:  ILL client
Group: Applications/Communication
Requires: readline libyaz3 = %{version}

%description -n yaz-illclient
yaz-illclient: an ISO ILL client.

%prep
%setup

%build

CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
	--enable-shared --enable-tcpd --with-xslt --with-openssl --with-pcap
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}/%{_prefix} mandir=${RPM_BUILD_ROOT}/%{_mandir} \
	libdir=${RPM_BUILD_ROOT}/%{_libdir} install

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README LICENSE NEWS TODO
%{_bindir}/yaz-client
%{_bindir}/yaz-ztest
%{_bindir}/zoomsh
%{_bindir}/yaz-marcdump
%{_bindir}/yaz-iconv
%{_bindir}/yaz-icu
%{_mandir}/man1/yaz-client.*
%{_mandir}/man8/yaz-ztest.*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man1/yaz-marcdump.*
%{_mandir}/man1/yaz-iconv.*
%{_mandir}/man1/yaz-icu.*
%{_mandir}/man7/yaz-log.*

%files -n libyaz3
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libyaz3-devel
%defattr(-,root,root)
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/pkgconfig/yaz.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/yaz.m4
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man7/yaz.*
%{_mandir}/man8/yaz-config.*
%{_datadir}/doc/yaz
%{_datadir}/yaz

%files -n yaz-ziffy
%defattr(-,root,root)
%{_bindir}/ziffy
%{_mandir}/man1/ziffy.*

%files -n yaz-illclient
%defattr(-,root,root)
%{_bindir}/yaz-illclient
%{_mandir}/man1/yaz-illclient.*
